<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/widgets/AdminLibraryManager/AdminLibraryManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_admin_library_manager_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AdminLibraryManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_ADMINLIBRARYMANAGER_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_ADMINLIBRARYMANAGER_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QWidget&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QGridLayout&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QGroupBox&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QPushButton&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QToolBox&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QLabel&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QLineEdit&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QListWidget&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QTableWidget&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="class_admin_library_manager.html">   40</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_admin_library_manager.html">AdminLibraryManager</a> : <span class="keyword">public</span> QWidget {</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;Q_OBJECT</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <a class="code" href="class_admin_library_manager.html#a51b64c42d4ce0fc1a39134e7dd388ef3">AdminLibraryManager</a>(QWidget *parent = 0);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_admin_library_manager.html#aeaff387129397aedde35ca1f86856567">search</a>();</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_admin_library_manager.html#a963a092b054b3b7415e54d2eca4f8d40">addItem</a>();</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_admin_library_manager.html#aee1bf58c2d6bf899dc4b041c488660c7">editItem</a>();</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_admin_library_manager.html#a2e08b0ada795d4fc3d0ec16be703091f">removeItem</a>();</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_library_manager.html#ac399beaf3586b22edc47994502bb4946">setCurrentSelectedItem</a>(QListWidgetItem *item);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    QListWidgetItem *selectedItem;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="comment">// search box</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    QGroupBox *searchBoxArea;  <span class="comment">// layout</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    QLineEdit *findByNameInput;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    QLineEdit *findByIdInput;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    QPushButton *searchButton;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="comment">// add/edit/remove buttons</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    QGroupBox *buttonsArea;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    QPushButton *addButton;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    QPushButton *editButton;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    QPushButton *removeButton;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="comment">// list with found items</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    QGroupBox *searchResultsArea;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    QListWidget *searchResultsList;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_admin_library_manager.html#ad78c16165b17801949511ef2796ecd5f">setup</a>();</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_admin_library_manager.html#acb0025e768b601acd76138cddb2bc6cb">connectSignalsSlots</a>();</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_library_manager.html#a588ee7ab6755c681e967e347ac56d627">setupSearchBox</a>(QString nameLabel = <span class="stringliteral">&quot;Name:&quot;</span>, QString idLabel = <span class="stringliteral">&quot;Id:&quot;</span>);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_library_manager.html#abeb0c03bb57aceeb27dbb844f900b2a3">setupButtons</a>();</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_library_manager.html#a6811de04a670a1a66112e5f8e7d83988">setupSearchResultBox</a>();</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;};</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_ADMINLIBRARYMANAGER_H</span></div><div class="ttc" id="class_admin_library_manager_html_ad78c16165b17801949511ef2796ecd5f"><div class="ttname"><a href="class_admin_library_manager.html#ad78c16165b17801949511ef2796ecd5f">AdminLibraryManager::setup</a></div><div class="ttdeci">virtual void setup()</div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.cpp:22</div></div>
<div class="ttc" id="class_admin_library_manager_html_ac399beaf3586b22edc47994502bb4946"><div class="ttname"><a href="class_admin_library_manager.html#ac399beaf3586b22edc47994502bb4946">AdminLibraryManager::setCurrentSelectedItem</a></div><div class="ttdeci">void setCurrentSelectedItem(QListWidgetItem *item)</div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.cpp:78</div></div>
<div class="ttc" id="class_admin_library_manager_html_a6811de04a670a1a66112e5f8e7d83988"><div class="ttname"><a href="class_admin_library_manager.html#a6811de04a670a1a66112e5f8e7d83988">AdminLibraryManager::setupSearchResultBox</a></div><div class="ttdeci">void setupSearchResultBox()</div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.cpp:68</div></div>
<div class="ttc" id="class_admin_library_manager_html_a2e08b0ada795d4fc3d0ec16be703091f"><div class="ttname"><a href="class_admin_library_manager.html#a2e08b0ada795d4fc3d0ec16be703091f">AdminLibraryManager::removeItem</a></div><div class="ttdeci">virtual void removeItem()</div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.cpp:97</div></div>
<div class="ttc" id="class_admin_library_manager_html"><div class="ttname"><a href="class_admin_library_manager.html">AdminLibraryManager</a></div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.h:40</div></div>
<div class="ttc" id="class_admin_library_manager_html_a588ee7ab6755c681e967e347ac56d627"><div class="ttname"><a href="class_admin_library_manager.html#a588ee7ab6755c681e967e347ac56d627">AdminLibraryManager::setupSearchBox</a></div><div class="ttdeci">void setupSearchBox(QString nameLabel=&quot;Name:&quot;, QString idLabel=&quot;Id:&quot;)</div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.cpp:36</div></div>
<div class="ttc" id="class_admin_library_manager_html_aee1bf58c2d6bf899dc4b041c488660c7"><div class="ttname"><a href="class_admin_library_manager.html#aee1bf58c2d6bf899dc4b041c488660c7">AdminLibraryManager::editItem</a></div><div class="ttdeci">virtual void editItem()</div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.cpp:95</div></div>
<div class="ttc" id="class_admin_library_manager_html_acb0025e768b601acd76138cddb2bc6cb"><div class="ttname"><a href="class_admin_library_manager.html#acb0025e768b601acd76138cddb2bc6cb">AdminLibraryManager::connectSignalsSlots</a></div><div class="ttdeci">virtual void connectSignalsSlots()</div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.cpp:82</div></div>
<div class="ttc" id="class_admin_library_manager_html_abeb0c03bb57aceeb27dbb844f900b2a3"><div class="ttname"><a href="class_admin_library_manager.html#abeb0c03bb57aceeb27dbb844f900b2a3">AdminLibraryManager::setupButtons</a></div><div class="ttdeci">void setupButtons()</div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.cpp:53</div></div>
<div class="ttc" id="class_admin_library_manager_html_a963a092b054b3b7415e54d2eca4f8d40"><div class="ttname"><a href="class_admin_library_manager.html#a963a092b054b3b7415e54d2eca4f8d40">AdminLibraryManager::addItem</a></div><div class="ttdeci">virtual void addItem()</div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.cpp:93</div></div>
<div class="ttc" id="class_admin_library_manager_html_aeaff387129397aedde35ca1f86856567"><div class="ttname"><a href="class_admin_library_manager.html#aeaff387129397aedde35ca1f86856567">AdminLibraryManager::search</a></div><div class="ttdeci">virtual void search()</div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.cpp:91</div></div>
<div class="ttc" id="class_admin_library_manager_html_a51b64c42d4ce0fc1a39134e7dd388ef3"><div class="ttname"><a href="class_admin_library_manager.html#a51b64c42d4ce0fc1a39134e7dd388ef3">AdminLibraryManager::AdminLibraryManager</a></div><div class="ttdeci">AdminLibraryManager(QWidget *parent=0)</div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.cpp:20</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_3c1d2ce32bc4ecd50a176ae39486df30.html">widgets</a></li><li class="navelem"><a class="el" href="dir_1380315e73d1ca5c0bd556fd29fd6d06.html">AdminLibraryManager</a></li><li class="navelem"><b>AdminLibraryManager.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
